<?php

function doSettings($addSettings, $smf2 = true)
{
   global $smcFunc, $db_prefix;

   $update = array();

   foreach ($addSettings as $variable => $s)
   {
      list ($value, $overwrite) = $s;

      $result = $smcFunc['db_query']('', '
         SELECT value
         FROM {db_prefix}settings
         WHERE variable = {string:variable}',
         array(
            'variable' => $variable,
         )
      );

      if ($smcFunc['db_num_rows']($result) == 0 || $overwrite == true)
         $update[$variable] = $value;
   }

   if (!empty($update))
      updateSettings($update);
}

// USAGE
$addSettings = array(
   'usercp_enable' => array(1, false),
    'usercp_enablecontactadmin' => array(1, false),
    'usercp_switchview' => array(1, false),
    'usecp_showadminid' => array(1, false),
    'usercp_usepm' => array(0, false),
    'usercp_adminid' => array('', false), 
   'usercp_field1image' => array('', false), 
    'usercp_field1url' => array('', false), 
    'usercp_field1maintext' => array('', false), 
    'usercp_field1summary' => array('', false), 
    'usercp_field1enable' => array('', false), 
    'usercp_field2image' => array('', false), 
    'usercp_field2url' => array('', false), 
    'usercp_field2maintext' => array('', false), 
    'usercp_field2summary' => array('', false), 
    'usercp_field2enable' => array('', false), 
    'usercp_field3image' => array('', false), 
    'usercp_field3url' => array('', false), 
    'usercp_field3maintext' => array('', false), 
    'usercp_field3summary' => array('', false), 
    'usercp_field3enable' => array('', false), 
    'usercp_field4image' => array('', false), 
    'usercp_field4url' => array('', false), 
    'usercp_field4maintext' => array('', false), 
    'usercp_field4summary' => array('', false), 
    'usercp_field4enable' => array('', false), 

   // 'variable name' => array(value, overwrite)
);
doSettings($addSettings);
?>